---
name: Bug Report
about: For reporting unexpected errors or behavior.
title: ""
labels: "bug :bug:"
assignees: ""
---

<!--

Have you read Hydrogen's Code of Conduct ? By filing an issue, you are expected to comply with it, including treating everyone with respect: https://github.com/nteract/hydrogen/blob/master/CODE_OF_CONDUCT.md

Do you want to ask a question ? Are you looking for support? The #hydrogen channel in nteract slack is the best place for getting support. Feel free to ping us on: https://slack.nteract.io

-->

### Prerequisites

- [ ] Have you checked the solutions in our [troubleshooting guide](https://nteract.gitbooks.io/hydrogen/docs/Troubleshooting.html) for common problems ?
- [ ] Have you checked that your issue [isn't already filed](https://github.com/nteract/hydrogen/issues) ?

### Description

[Description of the bug]

### Steps to Reproduce

1. [First Step]
2. [Second Step]
3. [and so on...]

### Versions

<!-- You can get this information from copy and pasting the output of `atom --version` and `apm --version` from the command line. Also, please include the OS and what version of the OS you're running. -->

OS version:
[Your OS's version]

> `atom --version`

<!-- Paste the the output of `atom --version` in the backticks below -->

```

```

> `apm --version`

<!-- Paste the the output of `apm --version` in the backticks below -->

```

```

Hydrogen version:

<!-- You can check this information in the settings view or via running `apm show hydrogen` -->

[Your Hydrogen's version]

### Plugins

Have you installed and activated any of the Hydrogen plugins below ?

- [ ] hydrogen-python
- [ ] Hydrogen Launcher
- [ ] Data Explorer

### Logs

[Please post any error logs and the output of the developer tools as described in our [Debugging Guide](https://nteract.gitbooks.io/hydrogen/docs/Troubleshooting.html).]

### Expected behavior

[A clear and concise description of what you expected to happen.]

### Screenshots

[If applicable, add screenshots to help explain your problem.]

### Additional context

[Add any other context about the problem here.]
